#ifndef __GUI_STRINGS_H__
#define __GUI_STRINGS_H__

#include "AppDefs.h"

#define WIN_TITLE APPLICATION
#define PREF_TITLE "The Army Knife Preferences"

#define FILE_MENU "File"
#define ABOUT_ITEM "About..."
#define QUIT_ITEM "Quit"
#define QUIT_SHORTCUT 'Q'

#define EDIT_MENU "Edit"
#define APPLY_CHANGES_ITEM "Apply Changes"
#define APPLY_CHANGES_SHORTCUT 'M'
#define SAVE_WINDOW_SETTINGS_ITEM "Save Window Settings"
#define SAVE_WINDOW_SETTINGS_SHORTCUT 'S'
#define PREFERENCES_ITEM "Preferences"
#define PREFERENCES_SHORTCUT 'P'

#define LIST_MENU "File List"
// items added by CP, 20030414&20031015: "Next Entry", "Previous Entry",
//		"First Entry", "Last Entry"
#define LIST_NEXT_ITEM "Next Entry"
#define LIST_NEXT_SHORTCUT 'N'
#define LIST_PREV_ITEM "Previous Entry"
#define LIST_PREV_SHORTCUT 'B'
#define LIST_FIRST_ITEM "First Entry"
#define LIST_FIRST_SHORTCUT 'F'
#define LIST_LAST_ITEM "Last Entry"
#define LIST_LAST_SHORTCUT 'L'

#define LIST_SELECTALL_ITEM "Select All"
#define LIST_SELECTALL_SHORTCUT 'A'
#define CLEAR_LIST_ITEM "Clear List"
#define CLEAR_LIST_SHORTCUT 'K'

#define VIEW_MENU "View Selection"
#define EDITOR_VIEW_NAME "The Editor"
#define TA_VIEW_NAME "Tags & Attributes"
#define NA_VIEW_NAME "Name & Attributes"

#define ABOUT_BTN "Rock On!"

#define ARTIST_PATTERN "Artist = /a"
#define ALBUM_PATTERN "Album = /n"
#define TITLE_PATTERN "Title = /t"
#define YEAR_PATTERN "Year = /y"
#define COMMENT_PATTERN "Comment = /c"
#define TRACK_PATTERN "Track = /k"
#define GENRE_PATTERN "Genre = /g"
#define WILDCARD_PATTERN "Wildcard = /*"

#define ARTIST_PAT "/a"
#define ALBUM_PAT "/n"
#define TRACK_PAT "/k"
#define TITLE_PAT "/t"
#define YEAR_PAT "/y"
#define COMMENT_PAT "/c"
#define GENRE_PAT "/g"

#define ARTIST_LABEL "Artist"
#define ALBUM_LABEL "Album"
#define TITLE_LABEL "Title"
#define YEAR_LABEL "Year"
#define COMMENT_LABEL "Comment"
#define TRACK_LABEL "Track"
#define GENRE_LABEL "Genre"

#define PATTERN_LABEL "Pattern:"

#define M3U_FILE_LABEL "File:"
#define M3U_DESCRIPTION "Enter playlist file name below."

#define DIRECTION_LABEL "Choose Direction"
#define A2T_LABEL "Attributes -> Tags"
#define T2A_LABEL "Tags -> Attributes"
#define A2N_LABEL "Attributes -> Name"
#define N2A_LABEL "Name -> Attributes"

#define EDIT_LABEL "Edit"
#define ATTRIBUTES_LABEL "Attributes"
#define TAGS_LABEL "Tags"
#define APPLY_TO_ATTRIBUTES "Also Apply To Attributes"
#define APPLY_TO_TAGS "Also Apply To Tags"

#define APPLY_BTN "Apply"
#define RESET_BTN "Reset"
#define CANCEL_BTN "Cancel"
#define SELECTED_TEXT " selected"

#define DEFAULT_NA_PATTERN_LABEL "Default Name & Attributes Pattern"
#define DEFAULT_FUNCTION_LABEL "Default Function"

#ifdef _TTE_
#define RATING_LABEL "Rating"
#define TEMPO_LABEL "Tempo"
#define COMPOSER_LABEL "Composer"
#endif

#endif
