#ifndef __TA_VIEW_H__
#define __TA_VIEW_H__

#include "AddOnView.h"

class BCheckBox;
class BList;
class BRadioButton;
class BRect;

class TAView : public AddOnView
{
	public:
		TAView(BRect frame);
		~TAView();
		virtual void AttachedToWindow();
		virtual void GetPreferredSize(float* width, float* height);
		virtual void Hide();
		virtual void Show();
		virtual void SelectionChanged(BList* list);
		virtual void Apply();
		virtual void Reset();
	private:
		void InitView();
		static int32 ApplyFunction(void* args);
		void WidgetsSetValues();
		void WidgetsSetEnabled();
		BRadioButton* a2tRadioButton;
		BRadioButton* t2aRadioButton;
		BCheckBox* artistCheckBox;
		BCheckBox* albumCheckBox;
		BCheckBox* titleCheckBox;
		BCheckBox* yearCheckBox;
		BCheckBox* commentCheckBox;
		BCheckBox* trackCheckBox;
		BCheckBox* genreCheckBox;
		BBox* directionBox;
};

#endif
