#include <be/add-ons/tracker/TrackerAddOn.h>
#include <be/app/Message.h>
#include <be/kernel/OS.h>
#include <be/storage/Entry.h>
#include <be/support/Debug.h>
#include "Application.h"
#include "AppWindow.h"
#include "Preferences.h"

void
process_refs(entry_ref dir_ref, BMessage* msg, void* reserved)
{
	PRINT(("process_refs(entry_ref,BMessage*,void*)\n"));

	Preferences::CreatePrefs();

	AppWindow* window = AppWindow::CreateWindow();

	window->Show();

	window->PostMessage(msg);

	thread_id thread = window->Thread();
	status_t win_status = B_OK;
	wait_for_thread(thread, &win_status);     
}
