#ifndef __APP_WINDOW_H__
#define __APP_WINDOW_H__

#include <be/interface/Window.h>

class AppView;
class BMessage;
class Preferences;

class AppWindow : public BWindow
{
	public:
		AppWindow();
		AppWindow(BMessage* archive);
		~AppWindow();
		virtual void MessageReceived(BMessage* message);
		virtual bool QuitRequested();
		static AppWindow* AppWindow::CreateWindow();
	private:
		void InitWindow();
		void SaveWindowSettings();
		void AboutRequested();
		AppView* appView;
};

#endif
