#ifndef __COMMAND_CONSTANTS_H__
#define __COMMAND_CONSTANTS_H__

#define APPLY '000'
#define RESET '001'
#define CANCEL '002'
#define START_APPLY '003'
#define END_APPLY '004'
#define SELECTION_CHANGED '005'
#define STATUS_BAR_SET_MAX_VALUE '006'
#define STATUS_BAR_UPDATE '007'
#define STATUS_BAR_RESET '010'
#define INVALIDATE_LIST '011'
#define CHANGE_VIEW '012'
#define CLEAR_LIST '013'
#define SAVE_WINDOW_SETTINGS '014'
#define PREFERENCES '015'
#define MSG_ARTIST_CB '016'
#define MSG_ALBUM_CB '017'
#define MSG_TITLE_CB '020'
#define MSG_YEAR_CB '021'
#define MSG_COMMENT_CB '022'
#define MSG_TRACK_CB '023'
#define MSG_GENRE_CB '024'
#define RB_EVENT '025'
#define GENRE_SELECTION_CHANGED '026'
// new constants by CP, 20030414
#define LIST_NEXT '040'
#define LIST_PREV '041'
#define LIST_FIRST '042'
#define LIST_LAST '043'
#define LIST_SELECTALL '044'

#ifdef _TTE_
#define MSG_RATING_CB 'T01'
#define MSG_TEMPO_CB 'T02'
#define MSG_COMPOSER_CB 'T03'
#endif

#endif
